%{?nodejs_find_provides_and_requires}

%global packagename isemail
%global enable_tests 0
# tests disabled due to missing npm(lab)

Name:		nodejs-isemail
Version:	1.2.0
Release:	1%{?dist}
Summary:	Validate an email address according to RFCs 5321, 5322, and others

License:	BSD
URL:		https://github.com/hapijs/isemail.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(lab)
%endif

Requires:	nodejs

%description
Validate an email address according to RFCs 5321, 5322, and others


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
lab -r console -o stdout -r lcov -o coverage.lcov -a code -L
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Oct 27 2015 Jared Smith <jsmith@fedoraproject.org> - 1.2.0-1
- Initial packaging
